<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProfileQuestion extends Model
{
    use HasFactory;
    protected $fillable = ['question', 'question_type', 'question_options'];

    public function getQuestionOptionsAttribute($value)
    {
        return unserialize($value);
    }
}
